производитель деревянных окон со стеклопакетом
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как определить угол поворота блока вокруг осей X и Y?

Как определить угол поворота блока вокруг осей X и Y?

Ответ
Поиск в этой теме
Непрочитано 22.04.2016, 22:54 #1
Как определить угол поворота блока вокруг осей X и Y?
mikls
 
Регистрация: 01.12.2013
Сообщений: 25

Столкнулся со следующей проблемой: угол поворота вхождения блока вокруг оси Z могу определить используя vla-get-rotation, а как определить угол поворота блока вокруг осей X и Y?
Просмотров: 1400
 
Непрочитано 23.04.2016, 01:49
#2
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Это не угол вокруг оси Z, а угол вокруг вектора нормали вхождения блока (св-во Normal). По этому вектору можно определить куда "смотрит" сторона вхождения блока - которая при определении смотрела по оси Z.
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Автор темы   Непрочитано 23.04.2016, 13:05
#3
mikls


 
Регистрация: 01.12.2013
Сообщений: 25


Спасибо, получилось: (vlax-safearray->list (vlax-variant-value (vla-get-normal (vlax-ename->vla-object (CAR (entsel))))))
Возвращает список косинусов углов.
mikls вне форума  
 
Непрочитано 23.04.2016, 20:03
#4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,124


Можно было проще: (cdr (assoc 210 (entget (car (entsel)))))
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 23.04.2016, 20:58
#5
mikls


 
Регистрация: 01.12.2013
Сообщений: 25


Да, работает, спасибо!
mikls вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как определить угол поворота блока вокруг осей X и Y?

Система Техэксперт дает уверенность в правильности и эффективности принимаемых инженерных решений!
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Создание нового типа линий Apelsinov AutoCAD 912 11.07.2020 21:24
VBA. 3D. Ориентация блоков (примитивов) в пространстве? Как определить угол поворота? shumilovvv Программирование 2 15.05.2009 12:18
Как определить угол наклона примитива Ratmir Программирование 2 24.03.2009 06:23
LISP. Как определить вставку блока с xclip? Apelsinov LISP 4 18.02.2009 14:03
Угол поворота Viewport plaz AutoCAD 15 05.12.2006 02:27